#
# spec file for package filters (Version 2001.2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp libnetpbm libpng
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libnetpbm libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         filters
Copyright:    1998 Tim Norman
Group:        Utilities/Printing
Obsoletes:    ppa
Requires:     aps gs_lib
Autoreqprov:  on
Summary:      printer filters for HP,Lexmark,CaPSL,Citizen,Apple
Version:      2001.2.1
Release:      74
BuildRoot:    /tmp/filters
URL:          http://sourceforge.net/projects/pnm2ppa
Source0:      http://download.sourceforge.net/pnm2ppa/pnm2ppa-1.03.tar.gz
Source1:      c2070-0.99.tar.gz
Source2:      LexZ11-distro.tar.gz
Source3:      cjet089.tar.gz
Source4:      lm1100.1.0.tar.gz
Source5:      pbm2l2030-1.4.tar.gz
Source6:      ppmtocpva.tar.gz
Source7:      stylewriter.tar.gz
patch0:       pnm2ppa-1.03.dif
patch1:       c2070-0.99.dif
patch2:       LexZ11-distro.dif
patch3:       cjet089.dif
patch4:       lm1100.1.0.dif
patch5:       pbm2l2030-1.4.dif
patch6:       ppmtocpva.dif
patch7:       stylewriter.dif
patch8:       ppa-0.8.6.dif

%description
This package includes several converters for printers from
HP, Lexmark, Canon, Citizen and Apple.
pnm,ppm,pbm,pgm to PPA (HP Printing Performance Architecture)
- supports HP 720 Series(710C,720C,722C), HP 820 series
(820Cse, 820Cxi) and HP 1000 series (1000Cse, 1000Cxi).
bitcmyk to lexmark Z11 and lexmark lex2070
PCL to CaPSL (Canon Laser, see gs devices lbp8 and lips3)
ppmraw  to lexmark 1100      bitcmyk to Apple StyleWriter
pbmraw  to lexmark 2030      ppmraw  to Citizen Printiva
For more information see the docs in /usr/share/doc/packages/filters

Authors:
--------
    Tim Norman <normat@rpi.edu>

SuSE series: ap

%prep
%setup -n pnm2ppa-1.03 -b1 -b2 -b3 -b4 -b5 -b6 -b7
pushd ../
    find -type d | xargs chmod 755
    chmod -R g+r,o+r   *
    chown -R root:root *
popd
%patch -P 0 -p 0
pushd ../c2070-*
%patch -P 1 -p 0
popd
pushd ../LexZ11-distro
%patch -P 2 -p 0
popd
pushd ../cjet089*
%patch -P 3 -p 0
popd
pushd ../lm1100*
%patch -P 4 -p 0
popd
pushd ../pbm2l2030*
%patch -P 5 -p 0
popd
pushd ../ppmtocpva
%patch -P 6 -p 0
popd
pushd ../stylewriter
%patch -P 7 -p 0
popd

%build
make
pushd ../c2070-*
    make
popd
pushd ../LexZ11-distro
    make
popd
pushd ../cjet089*
    make
popd
pushd ../lm1100*
    make
popd
pushd ../pbm2l2030*
    make
popd
pushd ../ppmtocpva
    make
popd
pushd ../stylewriter
    make
popd

%install
rm -rf $RPM_BUILD_ROOT
PNM2PPA_DOC=$RPM_BUILD_ROOT%{_docdir}/filters/pnm2ppa/
mkdir -p $PNM2PPA_DOC
make DESTDIR=$RPM_BUILD_ROOT install
install -m 0755 utils/Linux/detect_ppa $RPM_BUILD_ROOT/usr/bin/
install -m 0755 utils/Linux/test_ppa   $RPM_BUILD_ROOT/usr/bin/
pushd $RPM_BUILD_ROOT%{_docdir}/filters/
    rm -f INSTALL
    rm -f README
popd
for file in README COLOR.* CALIBRATION.* RELEASE-NOTES; do
  install -m 0644 docs/en/$file $PNM2PPA_DOC
done
cp -rv lpd pdq sample_scripts testpages $PNM2PPA_DOC
install -m 0644 *.ps $PNM2PPA_DOC
troff -Tlatin1 -t -mandoc docs/en/pnm2ppa.1 | grotty -bou >$PNM2PPA_DOC/manual
pushd ../c2070-*
    make install DESTDIR=$RPM_BUILD_ROOT
    install -m 0644 README $RPM_BUILD_ROOT%{_docdir}/filters/README.c2070
popd
pushd ../LexZ11-distro
    make install DESTDIR=$RPM_BUILD_ROOT
    install -m 0644 LexmarkZ11.html $RPM_BUILD_ROOT%{_docdir}/filters/
popd
pushd ../cjet089*
    make install DESTDIR=$RPM_BUILD_ROOT
    install -m 0644 README $RPM_BUILD_ROOT%{_docdir}/filters/README.cjet
popd
pushd ../lm1100*
    make install DESTDIR=$RPM_BUILD_ROOT
    install -m 0644 README $RPM_BUILD_ROOT%{_docdir}/filters/README.lm1100
popd
pushd ../pbm2l2030*
    make install DESTDIR=$RPM_BUILD_ROOT
    install -m 0644 README.TXT $RPM_BUILD_ROOT%{_docdir}/filters/README.pbm2l2030
popd
pushd ../ppmtocpva
    make install DESTDIR=$RPM_BUILD_ROOT
    install -m 0644 README $RPM_BUILD_ROOT%{_docdir}/filters/README.ppmtocpva
popd
pushd ../stylewriter
    make install DESTDIR=$RPM_BUILD_ROOT
    install -m 0644 README $RPM_BUILD_ROOT%{_docdir}/filters/README.stylewriter
    install -m 0644 README.protocol  $RPM_BUILD_ROOT%{_docdir}/filters/README.protocol.stylewriter
    install -m 0644 README.troubleshooting $RPM_BUILD_ROOT%{_docdir}/filters/README.troubleshooting.stylewriter
popd
for file in c2070 cZ11 cjet lm1100 lpstyl pbm2l2030 ppmtocpva pnm2ppa \
	calibrate_ppa
do
	strip $RPM_BUILD_ROOT/usr/bin/$file # serves also as file exist check
done

%files
/usr/bin/*
/usr/share/filters/
%config(noreplace) /etc/pnm2ppa.conf
%{_mandir}/man1/*.gz
%doc %{_docdir}/%{name}/

%changelog -n filters
* Thu Feb 01 2001 - werner@suse.de
- More compiler issues for ia64
* Fri Dec 15 2000 - werner@suse.de
- Next try
* Fri Dec 15 2000 - werner@suse.de
- Try to make lm1100.1.0 compiling on ia64
* Thu Dec 14 2000 - werner@suse.de
- Correct group tag
* Tue Nov 28 2000 - kukuk@suse.de
- Fix neededforbuild (libnetpb -> libnetpbm)
* Mon Nov 20 2000 - bk@suse.de
- fixed installation of pnm2ppa and pnm2ppa man page(incl file list).
- added /etc/pnm2ppa.conf as %%config(noreplace) to file list
- added new pnm2ppa utils calibrate_ppa, detect_ppa and test_ppa.
- removed debug compile flag for pnm2ppa(as sample spec does)
- changed Group tag to Applications/Publishing(used by pnm2ppa too)
- added testpages, samples and RELEASE-NOTES to pnm2ppa documentation
- added html documentation for pnm2ppa
- moved all pnm2ppa documentation to %%{_docdir}/filters/pnm2ppa
* Fri Nov 17 2000 - werner@suse.de
- Update to pnm2ppa-1.03 (color printing)
- Rename ppa to filters and add various filters:
  * bitcmyk to lexmark Z11
  * bitcmyk to lexmark lex2070
  * PCL to CaPSL (Canon Laser, see gs devices lbp8 and lips3)
  * ppmraw  to lexmark 1100
  * pbmraw  to lexmark 2030
  * ppmraw  to Citizen Printiva printers
  * bitcmyk to Apple StyleWriter printers
* Wed Jun 07 2000 - ro@suse.de
- doc relocation
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Apr 19 1999 - werner@suse.de
- New Release 0.8.6
* Wed Sep 16 1998 - werner@suse.de
- Fix name of doc directory
* Mon Jul 13 1998 - werner@suse.de
- Make name space uniq
* Thu May 14 1998 - werner@suse.de
- New package: post processor to convert pbm output
  of ghostscript to ppa protocol of HP DeskJet without PCL3
  (GDI printer).
